# List trip summaries for travelers managed by an arranger

Retrieves the list of trip summaries for all travelers managed by a specific arranger.
This endpoint can be used for arrangers whose role types are `COMPANY_TRAVEL_ARRANGER` or `TRAVEL_ARRANGER`.

Endpoint: POST /v3/trips/arrangers/{arrangerId}/list
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `arrangerId` (string, required)
    Identifier for the arranger whose managed travelers trip summaries are requested.

## Request fields (application/json):

  - `paginationRequestParams` (object, required)
    Pagination parameters for requests.

  - `paginationRequestParams.offset` (integer)
    The starting index in the list from which results are returned. The value must be greater than or equal to 0.

  - `paginationRequestParams.limit` (integer)
    Maximum number of results to be fetched.

  - `includePnrSummaries` (boolean)
    Boolean flag to include PNR summaries in the response
    Example: true

  - `tripFilters` (array)
    Filter for the list trip summary request.

  - `tripFilters.filterType` (string, required)
    Enum: "TRIP_USER_ID_FILTER", "TRIP_ID_FILTER", "COMPANY_ID_FILTER", "TRIP_TYPE_FILTER", "TRIP_TRAVEL_TYPE_FILTER", "POLICY_STATUS_FILTER", "TRIP_START_DATE_RANGE_FILTER", "TRIP_END_DATE_RANGE_FILTER", "CREATE_DATE_TIME_RANGE_FILTER", "OVERALL_STATUS_FILTER"

  - `tripFilters.userIds` (array, required)
    List of user ids

  - `tripFilters.userIds.id` (string, required)

  - `tripFilters.tripIds` (array, required)
    List of trip ids

  - `tripFilters.companyIds` (array, required)
    List of company ids

  - `tripFilters.companyIds.id` (string, required)
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `tripFilters.tripTypes` (array, required)
    List of trip types

  - `tripFilters.travelTypes` (array, required)

  - `tripFilters.policyStatuses` (array, required)

  - `tripFilters.startDate` (object)
    Date in ISO 8601 standard.

  - `tripFilters.startDate.iso8601` (string, required)
    Example: 2017-07-21

  - `tripFilters.startDateTime` (object)
    ISO8601 UTC Date Time

  - `tripFilters.startDateTime.iso8601` (string, required)
    Example: 2017-07-21T17:32Z

  - `tripFilters.overallStatuses` (array, required)
    List of overall statuses

  - `sortOptions` (array)
    Sort options for the list trip summary request

  - `sortOptions.sortField` (string, required)
    Field to sort by
    Enum: "START_DATE", "END_DATE"

  - `sortOptions.sortOrder` (string, required)
    Sorting order.
    Enum: "DESC", "ASC"

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `paginationResponseParams` (object, required)
    Pagination parameters for response.

  - `paginationResponseParams.totalNumResults` (integer, required)
    Total number of results.

  - `tripSummaries` (array)
    List of Trip summaries

  - `tripSummaries.tripId` (string, required)
    Spotnana trip Id
    Example: 6926658168

  - `tripSummaries.tripName` (string, required)
    Name of the trip
    Example: JFK SFO Trip

  - `tripSummaries.description` (string)
    Description of the trip
    Example: Business Trip

  - `tripSummaries.pnrSummaries` (array)

  - `tripSummaries.pnrSummaries.pnrId` (string, required)
    Spotnana PNR Id
    Example: 1234567890

  - `tripSummaries.pnrSummaries.sourcePnrId` (string)
    Source PNR Id
    Example: QWERGF

  - `tripSummaries.pnrSummaries.pnrStatus` (string)
    Status of PNR
    Enum: "UNKNOWN", "INITIATED", "CANCELLED", "CONFIRMED", "GROUP_BOOKING_ON_REQUEST", "WAITLISTED", "PENDING", "AIRLINE_UPGRADE", "WAITLIST_CONFIRMED", "BOOKING_DENIED_CONTACT_SUPPORT", "NO_SHOW", "CONTACT_SUPPORT", "STATUS_CHANGED_CONTACT_SUPPORT", "SCHEDULE_CHANGE", "SEGMENT_REQUEST", "SCHEDULE_CHANGE_WAITLISTED_BOOKING", "REQUEST_PENDING", "WAITLISTED_NOT_CONFIRMED", "SCHEDULE_CHANGE_NOT_CONFIRMED", "SCHEDULE_CHANGE_PENDING_STATUS", "MIS_CONNECTION", "REQUESTED", "TICKETED", "VOIDED", "CANCELLED_BY_VENDOR", "CANCELLATION_IN_PROGRESS", "REINSTATED", "BOOKING_ON_HOLD", "AIRLINE_CONTROL", "MODIFIED", "PAYMENT_DECLINED", "INOPERATIVE", "UNCONFIRMED"

  - `tripSummaries.pnrSummaries.pnrSummary` (object)
    Approval filter

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary` (object)
    Summary of Air PNR

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.legInfos` (array)

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.legInfos.legStatus` (string)
    User facing booking status
    Enum: "UNKNOWN_STATUS", "PENDING_STATUS", "CONFIRMED_STATUS", "ACTIVE_STATUS", "COMPLETED_STATUS", "CANCELLED_STATUS", "REFUNDED_STATUS", "VOIDED_STATUS", "PROCESSING_STATUS", "UNCONFIRMED_STATUS", "AIRLINE_CONTROL_STATUS", "PAYMENT_DECLINED_STATUS", "SCHEDULE_CHANGE_STATUS", "HOLD_STATUS", "APPROVAL_REQUESTED_STATUS", "APPROVAL_DENIED_STATUS", "CANCELLATION_IN_PROGRESS_STATUS", "INOPERATIVE_STATUS", "FLIGHT_UNCONFIRMED_STATUS"

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.legInfos.flights` (array)

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount` (object)
    Money object containing details such as the amount, the currency code, and the converted amount.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.amount` (number, required)
    The numeric value for the amount of money.
    Example: 510

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.currencyCode` (string, required)
    The 3-letter currency code for the money amount (defined using ISO 4217 standard).
    Example: GBP

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.convertedAmount` (number)
    The converted currency and amount that has been converted (if a currency conversion has been requested).
For example, if the call requests that money be sent in a specified currency (because the frontend requested
the backend to send money in the user's preferred currency).
    Example: 715.42

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.convertedCurrency` (string)
    The 3-letter currency code for the converted currency (defined using ISO 4217 standard).
    Example: USD

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.otherCoinage` (array)
    List of the dollar amount in other coinage systems like reward points, cryptocurrency etc.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.otherCoinage.coinageCode` (string)
    Payment method
    Enum: "PAYMENT_METHOD_UNKNOWN", "CREDIT_CARD", "BREX_POINTS", "CASH", "QANTAS_POINTS", "VENDOR_PROGRAM_PAYMENT", "DELAYED_INVOICING", "FLIGHT_CREDITS", "QANTAS_TRAVEL_FUND", "CUSTOM_VIRTUAL_PAYMENT", "FLIGHT_PASS", "MISCELLANEOUS_CREDIT_ORDER", "NO_PREPAYMENT", "DELAYED_PAYMENT"

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.otherCoinage.amount` (number)
    Example: 1000

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.otherCoinage.conversionRate` (number)
    1 coin in this system equals to how many currency value
    Example: 0.01

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.otherCoinage.preferredCurrencyConversionRate` (number)
    1 coin in this system equals to how many currency value
    Example: 0.01

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.totalAmount.otherCoinage.otherCoinageMetadata` (any)
    Metadata to store additional information related to the payment method

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary` (object)
    A list of itineraries with detailed flight information and prices for each.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.searchId` (string, required)
    The unique ID for this search response. This value must be passed on in the subsequent booking API calls.
    Example: ChBjZDg3ZjRjZmRmMTFmMWFiEhBjZDg3Z

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.itineraryDetails` (object, required)
    Describes the detailed itinerary information provided in the search response.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.itineraryDetails.itineraries` (array)

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.itineraryDetails.flightData` (array)
    The set of flights and their details that are contained in this response.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.paginationParams` (object)
    Pagination parameters for response.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.paginationParams.numResults` (integer, required)
    Total number of results in the paginated list.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.paginationParams.numPages` (integer, required)
    Total number of pages in the paginated list.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.metadata` (object)
    Metadata associated with the air search response.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.metadata.airlineInfo` (array)
    Metadata for all airlines available in the specific route.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.metadata.applicableAlliances` (array)
    Alliances which are applicable based on the airlines info

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.metadata.legBylegPricing` (boolean)
    Flag indicating whether itineraries are priced on a leg-by-leg basis (instead of the overall itinerary
pricing, which is the default).

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.metadata.enableFareCategories` (array)
    Fare categories that need to be used for the given air search

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.metadata.isExpressSearch` (boolean)
    Flag indicating whether the search was performed as an express search.

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.metadata.availableConnectingAirports` (array)
    List of connecting airports (layover locations) available in the search results.
Sorted by: 1) number of results (descending), 2) alphabetically (ascending).

  - `tripSummaries.pnrSummaries.pnrSummary.airPnrSummary.llfItinerary.waiverApplicabilityType` (string)
    Type of waiver applicable to an exchange:
- WAIVER_APPLICABILITY_UNKNOWN: No waiver is applicable.
- AIRLINE_DISRUPTION_WAIVER: Airline-issued disruption waiver is applicable.
    Enum: "WAIVER_APPLICABILITY_UNKNOWN", "AIRLINE_DISRUPTION_WAIVER"

  - `tripSummaries.pnrSummaries.pnrSummary.railPnrSummary` (object)
    Summary of Rail PNR

  - `tripSummaries.pnrSummaries.pnrSummary.railPnrSummary.journeys` (array)

  - `tripSummaries.pnrSummaries.pnrSummary.railPnrSummary.journeys.origin` (string, required)
    Example: London

  - `tripSummaries.pnrSummaries.pnrSummary.railPnrSummary.journeys.destination` (string, required)
    Example: London

  - `tripSummaries.pnrSummaries.pnrSummary.railPnrSummary.journeys.departureDateTime` (object)
    ISO8601 UTC Date Time

  - `tripSummaries.pnrSummaries.pnrSummary.railPnrSummary.journeys.departureDateTime.iso8601` (string, required)
    Example: 2017-07-21T17:32Z

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary` (object)
    Summary of Hotel PNR

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.name` (string)
    Name of hotel
    Example: Marriot

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.city` (string)
    Name of city
    Example: Bangalore

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.fromDate` (object)
    Local date and time in ISO 8601 format.

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.fromDate.iso8601` (string, required)
    Example: 2017-07-21T17:32

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address` (object)
    Postal Address Details

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.addressLines` (array, required)
    Address lines

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.administrativeArea` (string)
    Code of administrative area. For example: DL for Delhi, India.
Highest administrative subdivision which is used for postal
addresses of a country or region.
For example, this can be a state, a province, an oblast, or a prefecture.
Specifically, for Spain this is the province and not the autonomous
community (e.g. "Barcelona" and not "Catalonia").
Many countries don't use an administrative area in postal addresses. E.g.
in Switzerland this should be left unpopulated.
    Example: CA

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.administrativeAreaName` (string)
    Name of administrative area. This is full name corresponding to administrativeArea. 
Like Delhi for DL area code. For some places, code and name maybe same as well like Tokyo.
    Example: California

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.description` (string)
    Address description
    Example: San Francisco Home

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.isDefault` (boolean)
    Whether this address is default address in case multiple addresses are specified.
    Example: true

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.languageCode` (string)
    BCP-47 language code of the contents of this address (if known). This is often the UI 
language of the input form or is expected to match one of the languages used in the 
address' country/region, or their transliterated equivalents.
This can affect formatting in certain countries, but is not critical to the correctness 
of the data and will never affect any validation or other non-formatting related operations.
Examples: "zh-Hant", "ja", "ja-Latn", "en".
    Example: en

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.locality` (string)
    Generally refers to the city/town portion of the address.
    Example: San Francisco

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.locationCode` (string)
    IATA 3-letter location code. See https://www.iata.org/en/services/codes.
    Example: LAX

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.organization` (string)
    The name of the organization at the address.
    Example: Spotnana

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.postalCode` (string)
    Postal code of the address. This is a required field when setting for a user/legal entity/company etc.
    Example: 94130

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.continentCode` (string)
    2 letter continent code of the continent this address falls in.
    Example: AF

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.recipients` (array)
    The recipient at the address.

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.regionCode` (string, required)
    Region code of the country/region of the address.
    Example: US

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.regionName` (string)
    Region name of the country/region of the address.
    Example: America

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.revision` (integer)
    Example: 1

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.sortingCode` (string)
    Additional, country-specific, sorting code. This is not used
in most regions. Where it is used, the value is either a string like
"CEDEX", optionally followed by a number (e.g. "CEDEX 7"), or just a number
alone, representing the "sector code" (Jamaica), "delivery area indicator"
(Malawi) or "post office indicator" (e.g. Côte d'Ivoire).
    Example: Jamaica

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.sublocality` (string)
    Sublocality of the address. This can be neighborhoods, boroughs, districts.

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.timezone` (string)
    Time zone of the address.
    Example: America/Los_Angeles

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.coordinates` (object)
    Latitude and Longitude for a Location

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.coordinates.latitude` (number, required)
    Latitude of the Location
    Example: 77.1025

  - `tripSummaries.pnrSummaries.pnrSummary.hotelPnrSummary.address.coordinates.longitude` (number, required)
    Longitude of the Location
    Example: 28.7041

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary` (object)
    Summary of Car PNR

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vehicleName` (string)
    Name of vehicle
    Example: mercedez

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor` (object)
    Car vendor.

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.code` (string, required)
    Vendor code.
    Example: ZE

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.name` (string, required)
    Vendor name.
    Example: HERTZ

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.email` (string)
    Vendor email.
    Example: abc@xyz.com

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone` (object)
    Properly formatted phone number.

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.countryCode` (integer)
    two digit country code
    Example: 91

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.countryCodeSource` (string)
    Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY"

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.extension` (string)
    phone number extension
    Example: 222

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.isoCountryCode` (string)
    ISO alpha-2 code
    Example: IN

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.italianLeadingZero` (boolean)
    Example: true

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.nationalNumber` (integer)
    Example: 8150

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.numberOfLeadingZeros` (integer)
    Example: 1

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.preferredDomesticCarrierCode` (string)
    Example: 7

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.rawInput` (string)
    Example: 77777

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.vendor.phone.type` (string)
    Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE"

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation` (object)
    Pickup and drop-off location info.

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.counterLocation` (string)
    Rental car counter location.
    Enum: "UNKNOWN_COUNTER", "NON_AIRPORT_LOCATION", "IN_TERMINAL", "OFF_AIRPORT_RENTAL_SHUTTLE", "IN_TERMINAL_RENTAL_SHUTTLE", "ON_AIRPORT_RENTAL_SHUTTLE", "ON_AIRPORT_AIRPORT_SHUTTLE", "CALL_FOR_SHUTTLE", "TWO_SHUTTLES_AIRPORT_AND_RENTAL"

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.contactInfo` (object)
    Contact info of the location

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.contactInfo.phone` (array)

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.contactInfo.fax` (array)

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.contactInfo.email` (array)

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.operatingSchedule` (object)
    Operating schedule of vendor

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.operatingSchedule.interval` (array, required)
    Operating schedule interval

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.weeklyOperatingSchedule` (array)
    Weekly operating schedule of vendor

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.weeklyOperatingSchedule.interval` (array, required)
    Operating schedule intervals

  - `tripSummaries.pnrSummaries.pnrSummary.carPnrSummary.pickupLocation.weeklyOperatingSchedule.dayOfWeek` (string)
    Day of the week for which operating schedule is valid
    Example: SUN

  - `tripSummaries.pnrSummaries.pnrSummary.limoPnrSummary` (object)
    Summary of Limo PNR

  - `tripSummaries.pnrSummaries.pnrSummary.limoPnrSummary.vehicleName` (string)
    Name of vehicle
    Example: mercedez

  - `tripSummaries.pnrSummaries.pnrSummary.limoPnrSummary.legs` (array)

  - `tripSummaries.pnrSummaries.pnrSummary.miscPnrSummary` (object)
    Summary of Misc PNR

  - `tripSummaries.pnrSummaries.pnrSummary.miscPnrSummary.description` (string, required)
    Description of the segment
    Example: MiscellaneousPnr

  - `tripSummaries.pnrSummaries.pnrSummary.miscPnrSummary.sortingPriority` (integer)
    Sorting priority of the segment
    Example: 1

  - `tripSummaries.pnrSummaries.tmcInfo` (object)
    TMC config information.

  - `tripSummaries.pnrSummaries.tmcInfo.id` (object, required)
    Company ID

  - `tripSummaries.pnrSummaries.tmcInfo.id.id` (string, required)
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `tripSummaries.pnrSummaries.tmcInfo.primaryServiceProviderTmc` (object, required)
    Primary service provider TMC info

  - `tripSummaries.pnrSummaries.tmcInfo.secondaryServiceProviderTmcs` (array)
    Secondary service provider TMCs for the TMC.

  - `tripSummaries.pnrSummaries.tmcInfo.secondaryServiceProviderTmcs.supplier` (string, required)
    Supplier type like Sabre, TravelFusion etc.
    Enum: "SABRE", "AMADEUS", "TRAVEL_FUSION", "FARELOGIX_NDC", "ATPCO_NDC", "TRAINLINE", "AVIA", "QBR", "BCD", "QANTAS_HOTELS", "SOUTHWEST", "EXPEDIA", "HOTEL_HUB", "NDC", "MARRIOTT", "CLEARTRIP", "KYTE", "GROUNDSPAN", "SABRE_NDC", "BOOKING_COM", "CARTRAWLER", "PREMIER_INN", "TRAVELODGE", "ENTERPRISE", "HYATT", "HILTON", "NATIONAL", "ALAMO", "HERTZ", "DOLLAR", "THRIFTY", "FIREFLY", "EUROSTAR", "AVIS", "BUDGET", "AMADEUS_NDC", "SIXT"

  - `tripSummaries.pnrSummaries.tmcInfo.secondaryServiceProviderTmcs.travelType` (string, required)
    Travel Type
    Enum: "AIR", "HOTEL", "CAR", "RAIL", "LIMO", "MISC", "ALL"

  - `tripSummaries.pnrSummaries.source` (string)
    Enum: "UNKNOWN_SOURCE", "SABRE", "TRAVEL_FUSION", "AVIA", "NDC", "TRAINLINE", "ATPCO_NDC", "FARELOGIX_NDC", "OFFLINE", "CONNEXUS", "ROUTEHAPPY", "AMADEUS", "GIATA", "QBR", "BCD", "QANTAS_HOTELS", "SOUTHWEST", "EXPEDIA", "HOTEL_HUB", "MARRIOTT", "CLEARTRIP", "KYTE", "GROUNDSPAN", "SABRE_NDC", "BOOKING_COM", "CARTRAWLER", "PREMIER_INN", "TRAVELODGE", "ENTERPRISE", "HYATT", "HILTON", "EUROSTAR", "NATIONAL", "ALAMO", "AVIS", "BUDGET", "HERTZ", "DOLLAR", "THRIFTY", "FIREFLY", "AMADEUS_NDC", "SIXT"

  - `tripSummaries.pnrSummaries.travelers` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo` (object)
    Traveler personal information.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.loyaltyInfos` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.loyaltyInfos.appliedTo` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.loyaltyInfos.id` (string, required)
    Example: firstId

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.loyaltyInfos.issuedBy` (string, required)
    Example: firstIssuedBy

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.loyaltyInfos.type` (string, required)
    Enum: "UNKNOWN_TYPE", "AIR", "HOTEL", "CAR", "RAIL"

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.loyaltyInfos.linked` (boolean)
    Indicates if this loyalty account is linked to the external provider. Only applicable for certain loyalty types.
    Example: false

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.loyaltyInfos.tier` (string)
    Loyalty membership tier name echoed from the supplier.
    Example: GOLD

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref` (object)
    Travel preferences.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref` (object)
    Travel preferences related to air travel.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.airlinePrefs` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.alliancePref` (object)
    Alliance preferences.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.alliancePref.alliances` (array, required)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.farePref` (object)
    Fare preferences.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.farePref.fareTypes` (array, required)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.homeAirport` (string)
    Example: NEW YORK

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.mealPref` (object)
    Meal preferences.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.mealPref.exclMealPrefs` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.mealPref.inclMealPrefs` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.mealPref.specialMealDescription` (string)
    Example: Veg only meal

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.numStopPref` (object)
    Preferred number of stops.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.numStopPref.numOfStops` (integer, required)
    Example: 34

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.seatAmenityPref` (object)
    Seat amenity preference.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.seatAmenityPref.seatAmenityTypes` (array, required)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.seatLocationPrefs` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.airPref.preferredAirports` (array)
    A list of user preferred airports.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.preferredCurrency` (string)
    Example: USD

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railCards` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railCards.cardNumber` (string)
    Number of card

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railCards.expiryDate` (object)
    Date in ISO 8601 standard.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railCards.name` (string, required)
    Name of the Rail Card.
    Example: Veterans Railcard

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railCards.spotnanaCode` (string, required)
    Unique Spotnana code/identifier for Rail Card.
    Example: VET

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railCards.vendor` (string, required)
    Vendor Name.
    Example: ATOC

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref` (object)
    Travel preferences related to rail station.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.preferredRailStations` (array)
    A list of user preferred rail stations.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.seatPreference` (object)
    Preference about seat of rail.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.seatPreference.hasAccessibility` (boolean)
    Whether or not requires assistance for disability.
    Example: false

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.seatPreference.seatTypes` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.seatPreference.seatLocations` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.seatPreference.deckLevels` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.seatPreference.seatDirections` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.travelClasses` (array)
    A list of class of service for rail.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.coachPreferences` (array)
    A list of coach preference for rail.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.railPref.conditionalRates` (array)
    A list of conditional rates for rail.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.carPref` (object)
    Travel preferences related to car.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.carPref.vendors` (array)
    A list of car vendors.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.carPref.carTypes` (array)
    A list of types of car.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.carPref.engineTypes` (array)
    A list of types of engine.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.carPref.transmissionTypes` (array)
    A list of types of transmission.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.carPref.conditionalRates` (array)
    A list of conditional rates for rail.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref` (object)
    Travel preferences related to hotel.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.hotelParentChains` (array)
    A list of hotel parent chains.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.hotelBrands` (array)
    A list of hotel brands.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.hotelAmenityTypes` (array)
    A list of HotelAmenities.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.roomPreference` (object)
    Room options and stay preference.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.roomPreference.isMobilityAccessible` (boolean)
    Whether or not mobility accessible room, tub.
    Example: false

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.roomPreference.bedCount` (string)
    The number of bed in the room.
    Enum: "ONE_BED", "TWO_BEDS"

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.roomPreference.roomType` (string)
    Single selection of type of room.
    Enum: "SMOKING", "NON_SMOKING"

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.roomPreference.mostImportantFact` (string)
    Single selection of the most import fact.
    Enum: "ROOM_TYPE", "BED_COUNT", "ROOM_LOCATION"

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.roomPreference.roomLocation` (string)
    Location of the hotel room
    Enum: "HIGH_FLOOR", "LOW_FLOOR", "NEAR_ELEVATOR"

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.roomPreference.pillowType` (string)
    The type of pillow in hotel room.
    Enum: "FOAM", "EXTRA_FOAM", "EXTRA_FEATHER"

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.roomPreference.roomAmenityPrefs` (array)

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.travelPref.hotelPref.conditionalRates` (array)
    A list of conditional rates for rail.

  - `tripSummaries.pnrSummaries.travelers.travelerPersonalInfo.blockLoyalty` (boolean)
    If true, hides the loyalty program input on the checkout page for this traveler.
    Example: false

  - `tripSummaries.pnrSummaries.travelers.user` (object)
    User details.

  - `tripSummaries.pnrSummaries.travelers.user.addresses` (array)

  - `tripSummaries.pnrSummaries.travelers.user.email` (string)
    Example: example@email.com

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo` (object)
    Emergency contact information.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.designation` (string)
    Example: MANAGER

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.email` (string, required)
    Example: emergency-contact@email.com

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.name` (object)
    Full name containing first, middle, last (family) names, and suffix.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.name.family1` (string, required)
    Last (family) name.
    Example: Gandas

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.name.family2` (string)
    Example: FamilyTwo

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.name.given` (string, required)
    First (given) name.
    Example: Vichitr

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.name.middle` (string)
    Middle name.
    Example: Kumar

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.name.suffix` (string)
    Suffix for name
    Enum: "NAME_SUFFIX_UNKNOWN", "SR", "JR", "MD", "PHD", "II", "III", "IV", "DO", "ATTY", "V", "VI", "ESQ", "DC", "DDS", "VM", "JD", "SECOND", "THIRD"

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.name.preferred` (string)
    Informal preferred name added by traveler. This is not used on any PNR or tickets
    Example: Don

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId` (object)
    User and user's organization information.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId.organizationAgencyId` (object)
    Agency id for the organization.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId.organizationAgencyId.id` (string, required)

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId.organizationId` (object, required)
    Organization id for traveler.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId.organizationId.id` (string, required)

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId.userId` (object, required)
    User identifier

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId.userId.id` (string, required)

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId.tmcBasicInfo` (object)
    TMC related basic information.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc` (object, required)
    Basic information about a company.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContact` (object)
    Emergency contact information.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContact.name` (string, required)
    Full name of contact.
    Example: John Smith

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContact.email` (string)
    Email address of contact.
    Example: emergency-contact@email.com

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContact.designation` (string)
    Job title of contact.
    Example: MANAGER

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContact.relation` (string)
    Relation of contact to user.
    Enum: "RELATION_UNKNOWN", "SPOUSE", "PARENT", "SIBLING", "CHILD", "FRIEND", "RELATIVE", "COLLEAGUE", "OTHER"

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContact.phoneNumbers` (array, required)
    Phone numbers of contact.

  - `tripSummaries.pnrSummaries.travelers.user.emergencyContact.preferredLanguage` (string)
    Language preferred by user.
    Example: en-US

  - `tripSummaries.pnrSummaries.travelers.user.gender` (string)
    Enum: "MALE", "FEMALE", "UNSPECIFIED", "UNDISCLOSED", "GENDER_REDACTED"

  - `tripSummaries.pnrSummaries.travelers.user.identityDocs` (array)
    List of user identity documents.
    Example: [{"passport":{"docId":"PASSPORTID","expiryDate":{"iso8601":"2017-07-21"},"issueCountry":"IN","issuedDate":{"iso8601":"2017-07-21"},"nationalityCountry":"IN","type":"REGULAR"}},{"ktn":{"number":"123456…

  - `tripSummaries.pnrSummaries.travelers.user.identityDocs.passport` (object)
    Passport details.

  - `tripSummaries.pnrSummaries.travelers.user.identityDocs.immigrationDoc` (object)
    Immigration document details.

  - `tripSummaries.pnrSummaries.travelers.user.identityDocs.redress` (object)
    Redress details

  - `tripSummaries.pnrSummaries.travelers.user.identityDocs.ktn` (object)
    Information about the Known Traveler Number (KTN).

  - `tripSummaries.pnrSummaries.travelers.user.identityDocs.nationalDoc` (object)
    National Document Id details.

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos` (array)

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.applicableTo` (array)

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card` (object, required)
    User card info

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.id` (string)
    Unique identifier for this card
    Example: 34d536b6-f8ff-11eb-9a61-0242ac180002

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.type` (string)
    Type of card
    Enum: "UNKNOWN", "CREDIT", "DEBIT"

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.company` (string)
    The issuing company of card
    Enum: "NONE", "VISA", "MASTERCARD", "AMEX", "DISCOVER", "AIR_TRAVEL_UATP", "CARTE_BLANCHE", "DINERS_CLUB", "JCB", "BREX", "UNION_PAY", "EURO_CARD", "ACCESS_CARD", "ELO_CARD"

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.name` (string)
    Name on card
    Example: Harrison Schwartz

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.number` (string, required)
    Card number
    Example: 4111111111111111

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.expiryMonth` (integer)
    Expiry month
    Example: 1

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.expiryYear` (integer)
    Expiry year
    Example: 2010

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.cvv` (string)
    Card cvv number
    Example: 012

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.label` (string)
    Card Label
    Example: Label amex

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.currency` (string)
    Native currency of the card.
    Example: USD

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.externalId` (string)
    Spotnana partner card id.
    Example: bxt_RNGsNfzgJDaTstKIKqK4xEuhGYAnMdYK8T40

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.vaultId` (string)
    ID of the vault used for creating the card.
    Example: 34d536b6-f8ff-11eb-9a61-0242ac180002

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.expiry` (object)
    Contains the expiry of a Card.

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.card.ownershipLabel` (string)
    Ownership label of the card whether it is personal, corporate or central.
    Enum: "CORPORATE", "PERSONAL", "CENTRAL"

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.accessType` (string)
    Identifies the different ways the card can be used across an organization
    Enum: "UNKNOWN_TYPE", "CENTRALISED", "INDIVIDUAL", "PERSONAL", "TMC", "APPLICATION", "ITINERARY", "EVENTS", "TRAVEL_ARRANGER_MANAGED", "COMPANY_TRAVEL_ARRANGER_MANAGED", "EVENT_TEMPLATE"

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.access` (object)
    Access type for cards to check who in the organization has permission to use it

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.access.entityIds` (array, required)
    Holds the ids for for all users who can access the card or organization id

  - `tripSummaries.pnrSummaries.travelers.user.paymentInfos.access.entities` (array)
    A list of cardAccessEntity consisting of central card access level if present and entity id.

  - `tripSummaries.pnrSummaries.travelers.user.phoneNumbers` (array)

  - `tripSummaries.pnrSummaries.travelers.user.profilePicture` (object)
    An image with meta data. Either the `data` or `url` property must be supplied to load the image.

  - `tripSummaries.pnrSummaries.travelers.user.profilePicture.data` (string)
    Example: 6935813e12584abda0e43d71cd2ea260

  - `tripSummaries.pnrSummaries.travelers.user.profilePicture.dimensions` (object)
    Image dimensions ie width and height.

  - `tripSummaries.pnrSummaries.travelers.user.profilePicture.dimensions.height` (integer)
    Example: 120

  - `tripSummaries.pnrSummaries.travelers.user.profilePicture.dimensions.width` (integer)
    Example: 240

  - `tripSummaries.pnrSummaries.travelers.user.profilePicture.url` (string)
    Example: https://static.wixstatic.com/media/73f2e2_6935813e12584abda0e43d71cd2ea260~mv2.png/v1/fill/w_630,h_94,al_c,q_85,usm_0.66_1.00_0.01/Spotnana%403x.webp

  - `tripSummaries.pnrSummaries.travelers.user.profilePicture.metadata` (object)
    Metadata associated with an image.

  - `tripSummaries.pnrSummaries.travelers.user.profilePicture.metadata.variant` (string)
    Image variant.
    Enum: "LIGHT", "DARK"

  - `tripSummaries.pnrSummaries.travelers.user.nationality` (string)
    Nationality of user
    Example: Indian

  - `tripSummaries.pnrSummaries.travelers.user.title` (string)
    Enum: "TITLE_UNKNOWN", "MR", "MS", "MRS", "MX", "MASTER", "MISS", "DR", "PROFESSOR", "CAPTAIN", "REVEREND", "HONOURABLE", "SIR", "LADY", "AMBASSADOR", "LORD", "BRIGADIER", "SENATOR", "DAME", "JUSTICE", "UK", "TITLE_REDACTED"

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo` (object)
    User business information.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.department` (object)
    Department details.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.department.id` (object, required)
    Department id.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.department.id.id` (string, required)
    Example: 631ccbcf-9414-5fe0-c234-b324dfbe7422

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.department.name` (string, required)
    Example: IT Department

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.department.externalId` (string)
    External id of the department
    Example: department-ext-id

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.department.employeeCount` (integer)
    Count of employees in the department
    Example: 57

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.designation` (string)
    Example: MANAGER

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.email` (string, required)
    Example: user@business.com

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.employeeId` (string, required)
    Unique employee id. Can use email if a company don't use employee ids.
    Example: 101

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.grade` (object)
    Grade details.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.grade.employeeCount` (integer)
    Count of employees in the grade
    Example: 75

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.grade.id` (object, required)
    Grade id.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.grade.id.id` (string, required)
    Example: 831ccbcb-1416-7fe2-e236-d324dfbe7424

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.grade.name` (string, required)
    Example: Grade

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.legalEntityId` (object, required)
    The ID of the legal entity.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.legalEntityId.id` (string, required)
    Example: fc1ccbce-8413-4fe9-b233-a324dfbe7421

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.managerBasicInfo` (object)
    Basic user information.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.managerBasicInfo.persona` (string)
    Persona of the user
    Enum: "UNKNOWN_PERSONA", "EMPLOYEE", "GUEST", "PERSONAL", "RELATIVE", "ADHOC"

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.managerBasicInfo.email` (string)
    Example: example@email.com

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.managerBasicInfo.tier` (string)
    Tier of User.
Note: In default UI, BASIC is displayed as Standard, and SEAT1A is displayed as VIP.
Display names for other tiers are driven by the company tier configuration.
    Enum: "BASIC", "SEAT1A", "TIER_2", "TIER_3", "TIER_4", "TIER_5", "TIER_6", "TIER_7", "TIER_8", "TIER_9", "TIER_10", "TIER_11", "TIER_12", "TIER_13", "TIER_14", "TIER_15", "TIER_16", "TIER_17", "TIER_18", "TIER_19", "TIER_20", "TIER_21", "TIER_22", "TIER_23", "TIER_24", "TIER_25", "TIER_26", "TIER_27", "TIER_28", "TIER_29", "TIER_30", "TIER_31"

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.managerBasicInfo.employeeId` (string)
    Employee id of the user

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.managerBasicInfo.isActive` (boolean)
    Whether user profile is active or not.
    Example: true

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.office` (object)
    Office details.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.office.id` (object, required)
    The unique ID of the office.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.office.id.id` (string, required)
    The value of the unique ID for the office.
    Example: 531ccbce-8413-4fe9-b233-a324dfbe7421

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.office.name` (string, required)
    Example: Office

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.office.taxId` (string)
    Example: 133232

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.phoneNumbers` (array)

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.userCostCenter` (object)
    Cost center details.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.userCostCenter.id` (object, required)

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.userCostCenter.id.id` (string, required)
    Example: 731ccbca-0415-6fe1-d235-c324dfbe7423

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.userCostCenter.name` (string, required)
    Example: CostCenter

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.userCostCenter.externalId` (string)
    Example: external-id

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.designatedApproverInfos` (array)
    A list of user basic info for designated approvers.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.designatedApproverUserIds` (array)
    A list of userId for designated approvers.

  - `tripSummaries.pnrSummaries.travelers.userBusinessInfo.authorizerEmail` (string)
    Email address to be used as approval authorizer, when a manager is not present.
    Example: example@email.com

  - `tripSummaries.pnrSummaries.travelers.isActive` (boolean)
    A boolean flag to show if traveler is active.
    Example: true

  - `tripSummaries.pnrSummaries.travelers.adhocUserInfo` (object)
    Basic information related to ad-hoc traveler profile.

  - `tripSummaries.pnrSummaries.travelers.adhocUserInfo.profileOwner` (object, required)
    Basic information about the owner of the ad-hoc user.

  - `tripSummaries.pnrSummaries.travelers.adhocUserInfo.isSaved` (boolean)
    A boolean flag to show if ad-hoc traveler is visible in search. While updating the user 
if client tries to update this field, it will throw exception.

  - `tripSummaries.pnrSummaries.travelers.externalId` (string)
    External id of this user.

  - `tripSummaries.pnrSummaries.pnrType` (string)
    Type of PNR
    Enum: "AIR", "CAR", "RAIL", "HOTEL", "LIMO", "MISC"

  - `tripSummaries.pnrSummaries.approvalData` (object)
    Details about approval

  - `tripSummaries.pnrSummaries.approvalData.approvalId` (string)
    Unique approval Id request
    Example: uniqueId

  - `tripSummaries.pnrSummaries.approvalData.approvers` (array)

  - `tripSummaries.pnrSummaries.approvalData.approvalStatus` (string)
    APPROVAL Status
    Enum: "APPROVAL_PENDING", "APPROVED", "DENIED", "TIMED_OUT", "SOFT_APPROVAL_TIMEOUT"

  - `tripSummaries.pnrSummaries.approvalData.approvalDetail` (object)
    Policy

  - `tripSummaries.pnrSummaries.approvalData.approvalDetail.originalApprovalType` (string)
    Type of APPROVAL
    Enum: "HARD_APPROVAL", "SOFT_APPROVAL", "PASSIVE_APPROVAL", "PRE_APPROVAL"

  - `tripSummaries.pnrSummaries.policyInfo` (object)

  - `tripSummaries.pnrSummaries.policyInfo.reasonCode` (string)
    Predefined answers to pre search/pre checkout questions
    Enum: "UNKNOWN_CHECKOUT_ANSWER_TYPE", "OTHER", "TIMING_OR_SCHEDULING", "AIRLINE_PREFERENCE", "AIRPORT_PREFERENCE", "MILEAGE_OR_PROGRAM_UPGRADE", "NO_OTHER_OPTION_AVAILABLE", "FASTER_OPTION", "NO_ANSWER", "NOT_AVAILABLE"

  - `tripSummaries.pnrSummaries.policyInfo.reason` (string)
    Free form text if selected reason code is OTHER
    Example: Business class cheaper than economy

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo` (object, required)
    Policy Info applicable for the associated itinerary

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.policies` (array)
    List of policies applied to the itinerary.

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.policies.id` (string, required)
    Policy id

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.policies.version` (string, required)
    version of the policy

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.policies.policyName` (string)
    Name of the policy applied.

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.policies.approvalType` (string)
    Enum: "HARD_APPROVAL", "SOFT_APPROVAL", "PASSIVE_APPROVAL"

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.policies.policyType` (string)
    Enum: "GLOBAL", "DEFAULT", "GROUP"

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.ruleResultInfos` (array)

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.ruleResultInfos.violationInfos` (array)

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.ruleResultInfos.violationInfos.predicateString` (string)

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.ruleResultInfos.violationInfos.predicate` (string)
    This contains the enum mentioning the policy rule which was violated.
    Enum: "UNKNOWN_PREDICATE_STRING", "MAX_FARE_PER_TRAVELLER_VIOLATION", "FARE_MORE_THAN_MINIMUM", "FARE_MORE_THAN_MEDIAN", "FARE_LESS_THAN_MEDIAN", "FARE_MORE_THAN_LLF", "MAX_FARE_PER_TRAVELLER_VIOLATION_INCLUDING_TAX", "MAX_FARE_PER_TRAVELLER_VIOLATION_EXCLUDING_TAX", "HOTEL_PAYMENT_OPTIONS_VIOLATION", "RAIL_BOOKING_WINDOW_GAP_VIOLATION", "RAIL_TRAVEL_CLASS_VIOLATION", "RAIL_TICKET_REFUNDABLE_VIOLATION", "RAIL_MAX_BOOKING_PRICE_VIOLATION_INCLUDING_TAX", "RAIL_MAX_BOOKING_PRICE_VIOLATION_EXCLUDING_TAX", "AIR_MAX_PRICE_MORE_THAN_LLF_VIOLATION_INCLUDING_TAX", "AIR_MAX_PRICE_MORE_THAN_LLF_VIOLATION_EXCLUDING_TAX", "HOTEL_RESTRICTED_KEYWORDS_VIOLATION", "RESTRICTED_LOCATION_VIOLATION", "FLIGHT_ADVANCE_BOOKING_WINDOW_DOMESTIC_VIOLATION", "FLIGHT_ADVANCE_BOOKING_WINDOW_INTERNATIONAL_VIOLATION", "FLIGHT_ADVANCE_BOOKING_WINDOW_VIOLATION", "ITINERARY_WITHIN_EVENT_TRAVEL_WINDOW", "HOTEL_IN_ALLOWED_HOTEL_LIST", "PAYMENT_ACCESS_VIOLATION", "AIRPORT_IN_ALLOWED_AIRPORT_LIST", "ITINERARY_TYPE_IS_NOT_IN_ALLOWED_BOOKING_TYPES", "PAYMENT_AIR_ADDON_VIOLATION", "MAX_HOTEL_BOOKING_PRICE_INCLUDING_TAX", "MAX_HOTEL_BOOKING_PRICE_EXCLUDING_TAX", "AIR_NUM_TRAVELERS_ALLOWED", "PREFERRED_VENDOR_VIOLATION", "SEAT_ADDON_VIOLATION", "BAGGAGE_ADDON_VIOLATION", "EARLY_BIRD_ADDON_VIOLATION", "WIFI_ADDON_VIOLATION", "RESTRICTED_BOOKING_VIOLATION", "HIGHEST_ALLOWED_CABIN_VIOLATION", "LOWEST_FARE_PER_HOTEL_PROPERTY_VIOLATION", "AIR_RESTRICTED_FARES_VIOLATION", "AIR_ANCILLARY_VIOLATION"

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.ruleResultInfos.violationInfos.expectedValue` (object)

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.ruleResultInfos.subViolationInfos` (array)
    In case of complex rules this will contain extra information as to how the rule was 
calculated.

  - `tripSummaries.pnrSummaries.policyInfo.appliedPolicyInfo.ruleResultInfos.actions` (array)
    Followed actions if rule was satisfied else violated actions.

  - `tripSummaries.pnrSummaries.policyInfo.isOutOfPolicy` (boolean)
    Flag to indicate if the booking is out of policy
    Example: true

  - `tripSummaries.pnrSummaries.additionalMetadata` (object)
    Any addtional metadata associated with the booking

  - `tripSummaries.pnrSummaries.additionalMetadata.airportInfo` (array)

  - `tripSummaries.pnrSummaries.additionalMetadata.airportInfo.airportCode` (string, required)
    3-letter code of the airport.
    Example: WRA

  - `tripSummaries.pnrSummaries.additionalMetadata.airportInfo.airportName` (string, required)
    Full name of the airport.
    Example: Warder Airport

  - `tripSummaries.pnrSummaries.additionalMetadata.airportInfo.cityName` (string)
    Name of the city in which the airport is located (or is nearest to).
    Example: Werder

  - `tripSummaries.pnrSummaries.additionalMetadata.airportInfo.countryName` (string)
    Name of the country in which the airport is located.
    Example: Ethiopia

  - `tripSummaries.pnrSummaries.additionalMetadata.airportInfo.countryCode` (string)
    2-letter IATA country code associated with the airport.
    Example: ET

  - `tripSummaries.pnrSummaries.additionalMetadata.airportInfo.zoneName` (string)
    Name of the time zone associated with the airport.
    Example: Africa/Addis_Ababa

  - `tripSummaries.pnrSummaries.additionalMetadata.airportInfo.stateCode` (string)
    2-letter IATA code for the state in which the airport is located.
    Example: CA

  - `tripSummaries.pnrSummaries.preBookAnswers` (object)

  - `tripSummaries.pnrSummaries.preBookAnswers.answers` (array)

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.entityId` (string)
    The unique ID for the question.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.userInput` (string)
    The text input given by user (if any).

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.itemIds` (array)
    The id/enum value corresponding to the option chosen by the user as
answer.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.answers` (array)

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.answers.item` (string)
    The option selected from the list of available choices.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.answers.value` (string)
    The additional input provided (by the user) while selecting one of the options.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.answers.description` (string)
    Description of the selected option.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.customFieldType` (string)
    The type of custom field.
    Enum: "QUESTION", "MEETING", "BUDGET", "BREX_TOKEN"

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.questionDisplayText` (string)
    The question text to be displayed to the user.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question` (object)
    The message defines the format of a question which can be asked to a user in any kind of workflows.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.id` (string, required)

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.name` (string, required)
    Question display name that the user will see. For eg, 'Choose the purpose of your trip'.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.questionFormat` (string)
    Question types. INPUT_BOX will make user enter a free flowing text.
RADIO_BUTTON will have multiple options, user can select only one.
CHECKBOX questions contain the possible set of options, from which the user can choose multiple options.
CHECKBOX_WITH_PERCENTAGE is similar to checkbox, with the difference being that each option having an additional input field whose values must add up to 100.
    Enum: "INPUT_BOX", "RADIO_BUTTON", "CHECKBOX", "CHECKBOX_WITH_PERCENTAGE"

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.optionInfo` (object)
    Options related information for the question.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.optionInfo.source` (string, required)
    Option source
    Enum: "MANUAL", "COMPANY_CONFIG"

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.optionInfo.sourceMetadata` (object)
    Metadata information for the option source.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.optionInfo.totalNumOptions` (integer)
    Total number of options

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.optionInfo.options` (array)
    Available options for the question. This will contain only max 10 options if only 
summary is requested.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.isRequired` (boolean, required)
    Whether its compulsory to answer the question or not.
    Example: true

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.isDisabled` (boolean, required)
    Whether the question is disabled or not. If true, this should not be asked.
    Example: true

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.includeInItinerary` (boolean)
    Whether to include this question in the itinerary related emails.
    Example: true

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.customFieldLocations` (array)

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions` (object)
    Conditions to select the custom field for given context.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelerConditions` (object)
    Matching conditions for traveler.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelerConditions.workerTypes` (array)
    Worker types. Users belonging to any of these would match.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelerConditions.countries` (array)
    Countries.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelerConditions.legalEntities` (array)
    Legal entities

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelerConditions.departments` (array)
    Departments

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelerConditions.costCenters` (array)
    Cost centers

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelerConditions.offices` (array)
    Offices

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelTypes` (array)
    Travel types to match.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.travelRegionTypes` (array)
    Travel region types to match.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.matchConditions.tripUsageTypes` (array)
    Trip usage types to match. If empty, all trip usage types will be matched.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.questionType` (object)
    Question type.

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.questionType.preSearchQuestionType` (string)
    Types of pre-search questions.
PURPOSE_OF_TRIP required to ask purpose of the trip user is going to. For example: meeting, training, interview.
    Enum: "UNKNOWN_SEARCH_QUESTION_TYPE", "PURPOSE_OF_TRIP"

  - `tripSummaries.pnrSummaries.preBookAnswers.answers.question.questionType.preCheckoutQuestionType` (string)
    Types of pre-checkout questions.
USER_DEFINED_QUESTION the default question type for all pre checkout questions which have been created from UI.
OOP_REASON_CODE is kept separate so that existing OOP flow doesn't break.
    Enum: "UNKNOWN_CHECKOUT_QUESTION_TYPE", "USER_DEFINED_QUESTION", "OOP_REASON_CODE"

  - `tripSummaries.pnrSummaries.preBookAnswers.preBookQuestionResponseId` (string)
    The unique id sent back in the pre book questions API response

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses` (array)
    List of all the Custom Fields responses captured while booking.

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.fieldId` (string, required)
    Custom field id

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.fieldName` (string)
    Name of the custom field

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.armId` (string, required)
    Arm id which is applicable

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.includeLocations` (array)

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions` (array, required)
    The list of options that are selected by user or auto populated.

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions.name` (string, required)
    Value of the selection

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions.translatedName` (string)
    Translated value of the selection

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions.description` (string)
    Description of the selection

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions.translatedDescription` (string)
    Translated description of the selection

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions.additionalUserInput` (string)
    Additional user input

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions.additionalInfos` (array)
    Actual values of the additional infos

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions.additionalInfoConfigs` (array)
    Additional info configs for the selected option

  - `tripSummaries.pnrSummaries.initialCustomFieldV3Responses.selectedOptions.optionId` (string)
    Id of the selected option; sent by clients, never returned

  - `tripSummaries.tripStatus` (string)
    User facing status for this booking
    Enum: "PENDING", "CONFIRMED", "ACTIVE", "COMPLETED", "CANCELLED", "REFUNDED", "VOIDED", "PROCESSING", "UNCONFIRMED", "AIRLINE_CONTROL", "PAYMENT_DECLINED", "SCHEDULE_CHANGE", "UNKNOWN", "HOLD", "APPROVAL_REQUESTED", "APPROVAL_DENIED", "CANCELLATION_IN_PROGRESS", "INOPERATIVE_STATUS", "FLIGHT_UNCONFIRMED_STATUS"

  - `tripSummaries.overallStatus` (string)
    Overall status of the trip.
    Enum: "PENDING_STATUS", "CONFIRMED_STATUS", "CANCELLED_STATUS", "AIRLINE_CONTROL_STATUS", "PAYMENT_DECLINED_STATUS", "DISRUPTED_STATUS", "DRAFT_STATUS"

  - `tripSummaries.tripUsageMetadata` (object)
    Usage metadata associated with the trip entity.

  - `tripSummaries.tripUsageMetadata.eventMetadata` (object)
    Metadata associated with an event trip.

  - `tripSummaries.tripUsageMetadata.eventMetadata.eventId` (string, required)
    The event id.
    Example: 123456789

  - `tripSummaries.tripUsageMetadata.eventMetadata.rootEventId` (string)
    The root event id.
    Example: 123456789

  - `tripSummaries.tripUsageMetadata.eventMetadata.eventType` (string)
    Type of an event
    Enum: "GENERIC", "PROGRAM", "PROGRAM_SESSION", "PROGRAM_TRIP"

  - `tripSummaries.tripUsageMetadata.eventMetadata.associatedEventIds` (array)
    The associated event ids.

  - `tripSummaries.policyStatus` (string)
    Enum: "IN_POLICY", "OUT_OF_POLICY"

  - `tripSummaries.imageId` (string)
    Image identifier to fetch any image and render on trips page.
    Example: london

  - `tripSummaries.tripHeaderImages` (array)
    Header images for the trip, selected by backend based on trip destinations.

  - `failedTripSummaries` (array)
    List of Trip summaries

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

